<template>
    <div class="dialog-table-container sub-page-inner">
        <div class="sub-page-detail full-detail" style="width: 80%">
            <el-table ref="dataTable" v-loading="loading" :element-loading-background="loadingColor"
                height="calc(100% - 20px)" current-row-key="id" align="center" :data="tableData" class="dialog_table"
                :cell-style="{ 'text-align': 'center' }" :header-cell-style="{ 'text-align': 'center' }">
                <el-table-column type="index" label="序号" width="80"></el-table-column>
                <el-table-column prop="unitName" label="区县" min-width="100">
                </el-table-column>
                <el-table-column prop="nationwideNum" :label="`获全国性肯定评价\n（件次）`" min-width="100">
                </el-table-column>
                <el-table-column v-if="year < 2024" prop="cityNum" :label="`获全市推广\n（件次）`" min-width="100">
                </el-table-column>
                <!-- <el-table-column
                    prop="mediaNum"
                    :label="`获中央媒体\n深度专题报道（件次）`"
                    min-width="120"
                >
                </el-table-column> -->
                <el-table-column prop="brandAllSn" label="排位" min-width="100"></el-table-column>
                <el-table-column prop="brandAllSnTrend" label="变化" min-width="100">
                    <template v-slot="{ row }">
                        <span v-if="row.brandAllSnTrend > 0" style="font-size: 16px">
                            <i :class="`cqlt-icon cqlt-icon-arrow column-trend-icon-1`"></i>
                            {{ row.brandAllSnTrend }}
                        </span>
                        <span v-if="row.brandAllSnTrend < 0" style="font-size: 16px">
                            <i style="display: inline-block"
                                :class="`cqlt-icon cqlt-icon-arrow column-trend-icon-2 column-item-rotate`"></i>
                            {{ Math.abs(row.brandAllSnTrend) }}
                        </span>
                        <span v-if="row.brandAllSnTrend === 0" style="font-size: 16px">-</span>
                    </template>
                </el-table-column>
                <!--详情 按钮弹窗-->
                <el-table-column label="详情" min-width="100">
                    <template v-slot="{ row }">
                        <el-tag effect="dark" style="cursor: pointer" @click="
                handleDetail(
                    'brandDetail',
                    row.unitName,
                    row.unitCode
                )
                ">查看详情
                        </el-tag>
                    </template>
                </el-table-column>
            </el-table>
        </div>
    </div>
</template>
<script>
import utils from '@/utils.js'
import apiList from '@/api/bigScreen/districView.js'
export default {
    props: {
        options: {
            type: Object,
            default: () => {
                return {}
            },
        },
    },
    data() {
        return {
            loading: false,
            loadingColor: 'rgba(6, 46, 106, 0.4)',
            showEasy: false,
            currentRow: {},
            currentTabComponent: '',
            dialogOption: {
                dialogTitle: '',
                width: '60%',
                top: '2%',
            },
            tempTableOptions: null,
            tableData: [],
            year:''
        }
    },
    beforeDestroy() {
        this.$bus.$off('changeDate')
    },
    mounted() {
        this.getBrand()
        this.$bus.$on('changeDate', () => {
            this.getBrand()
        })
    },
    methods: {
        handleDetail(comp, title, code) {
            this.$router.push({
                path: '/DetailComponent',
                name: 'DetailComponent',
                query: {
                    comp,
                    title: '品牌创建·' + title,
                    code: code,
                },
            })
        },
        getDictName(code, value) {
            return utils.getDictName(code, value)
        },
        // handleDetail(row, type) {
        //     this.currentTabComponent = dialogConfig.dialogOption[type]
        //         .componentName
        //         ? dialogConfig.dialogOption[type].componentName
        //         : type // 动态组件名称
        //     let data = {
        //         ...dialogConfig.dialogOption[type].option,
        //         dialogTitle: `${row.unitName}改革经验获全国肯定评价和中央媒体深度专题报道情况`,
        //     }
        //     let dataOptions = {
        //         ...dialogConfig.dialogOption[type].dataOptions,
        //         rowDate: row.effectDetail,
        //     }

        //     this.tempTableOptions = dataOptions //table的查询参数
        //     this.dialogOption = data //弹窗配置参数
        //     this.showEasy = true
        // },
        getBrand() {
            this.loading = true
            let searchDate = sessionStorage.getItem('searchDate')
            searchDate = JSON.parse(searchDate)
            this.year = searchDate.year
            let data = this.qs.stringify({
                quarter: searchDate.quarter,
                year: searchDate.year,
            })
            apiList.getBrand(data, (res) => {
                if (res && res.value && res.value.brand) {
                    this.tableData = res.value.brand
                }
                this.loading = false
            })
        },
    },
}
</script>
<style lang="scss" scoped>
/deep/.el-tag {
    font-size: 16PX !important;
}

.sub-table-container {
    width: 30%;
}

.sub-table-content {
    width: 30%;
}

.sub-page-detail {
    width: 40%;
}

.column-trend-icon-1 {
    font-size: 18px;
    color: #59c06c;
    text-shadow: #59c06c 1px 0 12px;
}

.column-trend-icon-2 {
    font-size: 18px;
    color: #fe3b30;
    text-shadow: #fe3b30 1px 0 12px;
    transform: rotateX(180deg);
}
</style>
<style lang="scss">
@import './table.scss';
</style>
